{{- define "header-body" -}}
{{- $cover := .Resources.GetMatch "cover" -}}
{{- $avatar := .Resources.GetMatch "avatar" -}}
<div class="header-body {{- if and $cover $avatar }} mt-n5 mt-md-n6{{ end -}}">
  <div class="row align-items-end">
    {{- if $avatar -}}
      <div class="col-auto">
        <div class="avatar avatar-xxl header-avatar-top">
          <img src="{{- partial "image-avatar-lazy.html" $avatar -}}" data-src="{{- partial "image-avatar-full.html" $avatar }}" alt="Image of {{- .Title -}}" class="avatar-img rounded-circle border border-4 border-card lazy">
        </div>
      </div>
    {{- end -}}
    <div class="col mb-3 {{- if $avatar }} ml-n3 ml-md-n2{{- end -}}">
      <h6 class="header-pretitle">
        {{ .Parent.Title }}
      </h6>
      <h1 class="header-title">
        {{- .Title -}}
      </h1>
    </div>
    <div class="col-12 col-md-auto mt-3 mt-md-0">
      {{- $researchers := partial "researcher/query.html" . -}}
      {{- partial "researcher/avatar-group.html" $researchers -}}
    </div>
  </div>
  <div class="row align-items-center">
    <div class="col">
      <ul class="nav nav-tabs nav-overflow header-tabs" id="organizationTabs">
        <li class="nav-item">
          <a href="#overview" class="nav-link active" data-toggle="tab" role="tab" aria-controls="overview" aria-selected="true">
            Overview
          </a>
        </li>
        <li class="nav-item">
          <a href="#robots" class="nav-link" data-toggle="tab" role="tab" aria-controls="robots" aria-selected="false">
            Robots
          </a>
        </li>
        <li class="nav-item">
          <a href="#researchers" class="nav-link" data-toggle="tab" role="tab" aria-controls="researchers" aria-selected="false">
            Researchers
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>
{{- end -}}

{{- define "main" -}}

<div class="tab-content" id="organizationTabsContent">
  <div class="tab-pane fade show active" id="overview" role="tabpanel" aria-labelledby="overview-tab">
    <div class="row">
      <div class="col-lg-4 order-lg-8">
        <div class="sticky-top">
          <div class="card">
            <div class="card-body">
              <div class="list-group list-group-flush my-n3">
                {{- with .Params.institution -}}
                <div class="list-group-item">
                  <div class="row align-items-center">
                    <div class="col">
                      <h5 class="mb-0 text-muted">
                        Institution
                      </h5>
                    </div>
                    <div class="col-auto">
                      <small class="">
                        {{- . -}}
                      </small>
                    </div>
                  </div>
                </div>
                {{- end -}}
                {{- with .Params.location -}}
                <div class="list-group-item">
                  <div class="row align-items-center">
                    <div class="col">
                      <h5 class="mb-0 text-muted">
                        Location
                      </h5>
                    </div>
                    <div class="col-auto">
                      <small class="">
                        {{- . -}}
                      </small>
                    </div>
                  </div>
                </div>
                {{- end -}}
                {{- with .Params.website -}}
                <div class="list-group-item">
                  <div class="row align-items-center">
                    <div class="col">
                      <h5 class="mb-0 text-muted">
                        Website
                      </h5>
                    </div>
                    <div class="col-auto">
                      <a href="{{- . -}}" class="small">
                        {{- . | replaceRE "^https?://([^/]+).*" "$1" -}}
                      </a>
                    </div>
                  </div>
                </div>
                {{- end -}}
              </div>
            </div>
          </div>
          {{- if and (gt .WordCount 0) .Params.toc -}}
            <div class="card">
              <div class="card-header">
                <h4 class="card-header-title">
                  Table of Contents
                </h4>
              </div>
              <div class="card-body">
                {{- .TableOfContents -}}
              </div>
            </div>
          {{- end -}}
        </div>
      </div>
      <div class="col-lg-8 order-lg-0">
        {{- .Content -}}
      </div>
    </div>
  </div>
  <div class="tab-pane fade" id="robots" role="tabpanel" aria-labelledby="robots-tab">
    {{- $robots := partial "robot/query.html" . -}}
    {{- with $robots -}}
      {{- partial "robot/cards.html" . -}}
    {{- else -}}
    <div class="row">
      <div class="col-lg-8 offset-lg-2">
        {{- partial "bootstrap/not-found-card.html" "robots" -}}
      </div>
    </div>
    {{- end -}}
  </div>
  <div class="tab-pane fade" id="researchers" role="tabpanel" aria-labelledby="researchers-tab">
    {{- $researchers := partial "researcher/query.html" . -}}
    {{- with $researchers -}}
      {{- partial "researcher/cards.html" . -}}
    {{- else -}}
      <div class="row">
        <div class="col-lg-8 offset-lg-2">
          {{- partial "bootstrap/not-found-card.html" "researchers" -}}
        </div>
      </div>
    {{- end -}}
  </div>
</div>

{{- end -}}
